Package oracle.nosql.driver

# Class DefinedTags

java.lang.Object
oracle.nosql.driver.DefinedTags

public class DefinedTags extends Object
Cloud service only. DefinedTags is a class to encapsulate defined tags which are returned from calls to `NoSQLHandle.getTable(oracle.nosql.driver.ops.GetTableRequest)`. They can also be set during table creation operations as well as alter table operations.

Since:
  5.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefinedTags()`
  Creates a new instance of DefinedTags.
  `DefinedTags(String jsonString)`
  Creates a new instance of DefinedTags from JSON string input.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefinedTags`
  `addTag(String namespace, String key, String value)`
  Adds a new tag to the set of tags in the specified namespace
  `boolean`
  `contains(String namespace, String key)`
  Returns true if the specified key exists in the specified namespace
  `String`
  `getTag(String namespace, String key)`
  Returns the value of the named tag in the specified namespace or null if it does not exist
  `String`
  `toString()`
  Returns the free-form tags as a JSON string

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefinedTags

    public DefinedTags()
    Creates a new instance of DefinedTags. This method along with `addTag(java.lang.String, java.lang.String, java.lang.String)` is used to add tags to a call to create or modify a table.

  - ### DefinedTags

    public DefinedTags(String jsonString)
    Creates a new instance of DefinedTags from JSON string input.
    Parameters:
      `jsonString` - a JSON string

- ## Method Details

  - ### addTag

    public DefinedTags addTag(String namespace, String key, String value)
    Adds a new tag to the set of tags in the specified namespace
    Parameters:
      `namespace` - the namespace for the tag
      `key` - the tag key
      `value` - the tag value
    Returns:
      this

  - ### getTag

    public String getTag(String namespace, String key)
    Returns the value of the named tag in the specified namespace or null if it does not exist
    Parameters:
      `namespace` - the namespace
      `key` - the key
    Returns:
      the tag value or null

  - ### contains

    public boolean contains(String namespace, String key)
    Returns true if the specified key exists in the specified namespace
    Parameters:
      `namespace` - the namespace
      `key` - the key
    Returns:
      true if the key exists

  - ### toString

    public String toString()
    Returns the free-form tags as a JSON string
    Overrides:
      `toString` in class `Object`
    Returns:
      the JSON string